CP(1)

NAZWA
cp - kopiuje pliki i katalogi

SKŁADNIA
cp [OPCJA]... [-T] ŹRÓDŁO CEL
cp [OPCJA]... ŹRÓDŁO... KATALOG
cp [OPCJA]... -t KATALOG ŹRÓDŁO...

OPIS

Kopiuje ŹRÓDŁO do CELU lub wiele ŹRÓDEŁ do KATALOGU.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --archive
    równoważne -dR --preserve=all

--attributes-only
    nie kopiuje danych, lecz same atrybuty pliku

--backup[=METODA]
    tworzy kopię zapasową każdego istniejącego pliku docelowego

-b  jak --backup, lecz nie przyjmuje argumentu

--copy-contents
    podczas kopiowania rekursywnego kopiuje zawartość plików specjalnych

-d  równoważne --no-dereference --preserve=links

-f, --force
    jeśli istniejący plik docelowy nie może zostać otwarty, usuwa go i próbuje ponownie (opcja ta jest ignorowana, jeśli użyto też opcji -n)

-i, --interactive
    pyta przed nadpisywaniem (ma pierwszeństwo przed wcześniejszą opcją -n)

-H  podąża za dowiązaniami symbolicznymi z wiersza poleceń w ŹRÓDLE

-l, --link
    tworzy dowiązania twarde zamiast kopii

-L, --dereference
    zawsze podąża za dowiązaniami symbolicznymi w ŹRÓDLE

-n, --no-clobber
    nie nadpisuje istniejącego pliku (ma pierwszeństwo nad wcześniejszą opcją -i)

-P, --no-dereference
    nigdy nie podąża za dowiązaniami symbolicznymi w ŹRÓDLE

-p  równoważne --preserve=mode,ownership,timestamps

--preserve[=LISTA-ATRYB]
    zachowuje podane atrybuty (domyślnie: mode,ownership,timestamps - czyli prawa, właściciela i grupę oraz czasy), dodatkowe możliwe atrybuty: context (dot. SELinuksa), links (dowiązania), xattr (rozszerzone atrybuty), all (wszystkie)

--no-preserve=LISTA-ATRYB
    nie zachowuje podanych atrybutów

--parents
    używa pełnej nazwy pliku źródłowego pod KATALOGIEM

-R, -r, --recursive
    kopiuje katalogi rekurencyjnie

--reflink[=KIEDY]
    kontroluje klonowanie/kopiowanie przy zapisie. Patrz niżej

--remove-destination
    usuwa każdy istniejący plik docelowy przed próbą otwarcia go (w odróżnieniu od opcji --force)

--sparse=KIEDY
    kontroluje tworzenie tzw. rzadkich plików. Patrz niżej

--strip-trailing-slashes
    usuwa końcowe ukośniki z każdego argumentu ŹRÓDŁO

-s, --symbolic-link
    tworzy dowiązania symboliczne zamiast kopii plików

-S, --suffix=PRZYROSTEK
    używa podanego przyrostka zamiast domyślnego

-t, --target-directory=KATALOG
    kopiuje wszystkie argumenty ŹRÓDŁO do KATALOGU

-T, --no-target-directory
    traktuje CEL jako zwykły plik

-u, --update
    kopiuje tylko jeśli ŹRÓDŁO jest nowsze niż plik docelowy lub gdy plik docelowy nie istnieje

-v, --verbose
    wypisuje bieżące działania

-x, --one-file-system
    pozostaje na tym systemie plików

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Domyślnie, tzw. rzadkie pliki ŹRÓDŁOWE są wykrywane przez prymitywną heurystykę i powiązane pliki w CELU są również tworzone jako rzadkie. Jest to zachowanie, które można wybrać opcją --sparse=auto. Wybranie opcji --sparse=always spowoduje utworzenie pliku CELU jako rzadkiego, bez względu na to, czy plik ŹRÓDŁOWY zawiera wystarczająco długą sekwencję bajtów zerowych. Opcja --sparse=never zabroni tworzenia rzadkich plików.

W przypadku podania opcji --reflink[=always], tworzona jest lekka kopia, w której bloki danych są kopiowane tylko, gdy zostały zmodyfikowane. Jeśli nie jest to możliwe, to kopiowanie zawodzi lub, jeśli podana jest opcja --reflink=auto, program przechodzi do trybu kopii standardowej.

Przyrostkiem kopii zapasowej jest ~, chyba że ustawiono inny opcją --suffix lub SIMPLE_BACKUP_SUFFIX. Metoda kontroli wersji może zostać wybrana opcją --backup lub zmienną środowiskową VERSION_CONTROL. Dostępne opcje:

none, off
    nigdy nie tworzy kopii zapasowych (nawet jeśli podano opcję --backup)

numbered, t
    tworzy kopie numerowane

existing, nil
    numerowane jeśli istniejące kopie są numerowane, w przeciwnym wypadku proste

simple, never
    zawsze tworzy proste kopie zapasowe

Jako szczególny przypadek cp tworzy kopię zapasową ŹRÓDŁA, jeśli podano opcje force i backup, a ŹRÓDŁO i CEL są tą samą nazwą istniejącego, zwykłego pliku.

AUTOR
Napisane przez Torbjorna Granlunda, Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w cp proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu cp proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja cp jest dostępna w formacie Texinfo. Jeśli programy info i cp są poprawnie zainstalowane, to polecenie

    info coreutils 'cp invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.